#pragma once

#include <saas/library/daemon_base/daemon/controller.h>
#include <saas/library/daemon_base/daemon/daemon.h>

class TSearchProxyController : public TController {
public:
    TSearchProxyController(TServerConfigConstructorParams& params, const TController::IServerDescriptor& sd);
    class TSPControllerClient: public TClient {
    public:
        TSPControllerClient(TController& owner);
        virtual void ProcessServerStatus();
    };

    virtual TClientRequest* CreateClient() {
        return new TSPControllerClient(*this);
    }
};
